summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorTavian Barnes2015-06-08 20:04:45 -0400
committerTavian Barnes2015-06-08 20:04:45 -0400
commitbff794bdeb900464915eea4972eed0ac0d471419 (patch)
treee6c54f552e3d22100b56a0d2e458047f17d8b206 /PKGBUILD
downloadaur-bff794bdeb900464915eea4972eed0ac0d471419.tar.gz
Initial commit.
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD29
1 files changed, 29 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..def299300c5
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,29 @@
+# Maintainer: Merkil <merkil@savhon.org>
+
+pkgname=delta
+pkgver=20060803
+pkgrel=1
+dapkgver=2006.08.03
+license=('BSD')
+url="http://delta.tigris.org/"
+pkgdesc="An useful tool that lets you minimize interesting files subject to a test of their interestingness."
+arch=(i686 x86_64)
+depends=('perl')
+makedepends=('make' 'gcc' 'flex')
+source=("http://delta.tigris.org/files/documents/3103/33566/delta-${dapkgver}.tar.gz")
+md5sums=('7be4ac4ae9c1eb01ccf29d413d4cc64a')
+
+build() {
+ cd "${srcdir}/${pkgname}-${dapkgver}/"
+ make clean
+ make || return 1
+ make check || return 1
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-${dapkgver}/"
+ install -Dm 755 ./topformflat "${pkgdir}/usr/bin/topformflat"
+ install -Dm 755 ./delta "${pkgdir}/usr/bin/delta"
+ install -Dm 755 ./multidelta "${pkgdir}/usr/bin/multidelta"
+ install -Dm 644 ./License.txt "${pkgdir}/usr/share/licenses/${pkgname}/License.txt"
+}